# Concept MutableRootedIteratorConcept
Rooted iterator that allows mutation after dereferencing.

Extends | MutableForwardIteratorConcept, RootedIteratorConcept
All Extended | CopyConstructibleConcept, DefaultConstructibleConcept, EqualityComparableConcept, ForwardIteratorConcept, InputIteratorConcept, IteratorAssociatedTypesConcept, MutableForwardIteratorConcept, OutputIteratorConcept, RootedIteratorConcept
Defined in |
Signature | `MutableRootedIteratorConcept<T>`

## Member Function Overview

### Member Functions Inherited From EqualityComparableConcept

- `operator!=`
- `operator==`

## Interface Function Overview

### Interface Functions Inherited From InputIteratorConcept

- `goNext`
- `operator++(prefix)`
- `operator++(suffix)`
- `operator->`

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `getValue`
- `operator*`
- `value`

### Interface Functions Inherited From OutputIteratorConcept

- `assignValue`
- `goNext`
- `moveValue`
- `operator++(prefix)`
- `operator++(suffix)`
- `writeValue`

### Interface Functions Inherited From RootedIteratorConcept

- `atBegin`
- `atEnd`
- `container`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

### Interface Metafunctions Inherited From RootedIteratorConcept

- `Container`

#### Dox Sources

    /*!
     * @concept MutableRootedIteratorConcept
     *
     * @extends RootedIteratorConcept
     * @extends MutableForwardIteratorConcept
     *
     * @brief Rooted iterator that allows mutation after dereferencing.
     *
     * @signature MutableRootedIteratorConcept<T>
     */